#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Starlet
%include	/usr/lib/rpm/macros.perl
Summary:	a simple, high-performance PSGI/Plack HTTP server
Name:		perl-Starlet
Version:	0.24
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/K/KA/KAZUHO/Starlet-%{version}.tar.gz
# Source0-md5:	17d5ed3017cd0fdbad423dcafc716290
URL:		http://search.cpan.org/dist/Starlet/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Parallel::Prefork) >= 0.07
BuildRequires:	perl(Server::Starter) >= 0.06
BuildRequires:	perl-Plack >= 0.992
BuildRequires:	perl-Test-TCP >= 2.07
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Starlet is a standalone HTTP/1.1 web server.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Starlet/
%{perl_vendorlib}/Plack/Handler/*.pm
%{_mandir}/man3/*
%changelog
* Sat Feb 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Starlet.git;a=log;h=master

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b2f91b
- up to 0.24

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f8eaa72
- up to 0.21

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f44a8f0
- up to 0.20

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dd4f2da
- up to 0.14

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> ba079c9
- added

